Draft Move/es: Difference between revisions

From FreeCAD Documentation
(Created page with "# Selecciona los objetos que deseas mover o copiar # Presiona el botón {{KEY|16px Mover}}, o presiona las teclas {{KEY|M}} y {{KEY|...")
(Created page with "==Opciones==")
Line 14: Line 14:
# Designa otro punto en la vista 3D, o escribe unas [[Draft_Coordinates/es|coordenadas]]
# Designa otro punto en la vista 3D, o escribe unas [[Draft_Coordinates/es|coordenadas]]


==Options==
==Opciones==


* Press {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} after a point to constrain the next point on the given axis.
* Press {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} after a point to constrain the next point on the given axis.

Revision as of 15:22, 13 February 2014

Draft_Move

Ubicación en el Menú
Croquis -> Mover
Entornos de trabajo
Croquis
Atajo de teclado por defecto
M V
Introducido en versión
-
Ver también
Ninguno

Descripción

La herramienta Mover mueve o copia los objetos seleccionados de un punto a otro. Si no se han seleccionado objetos, te invita a seleccionarlos.

Utilización

  1. Selecciona los objetos que deseas mover o copiar
  2. Presiona el botón Mover, o presiona las teclas M y V
  3. Designa un primer punto en la vista 3D, o tipo en coordenadas
  4. Designa otro punto en la vista 3D, o escribe unas coordenadas

Opciones

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Move tool will restart after you finish or close it, allowing you to move or copy the objects another time without pressing the Move button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of moving them. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Move tool can by used in macros and from the python console by using the following function:

 move (FreeCAD.Object or list, Vector, [copymode])
  • Moves the given object or the objects contained in the given list in the direction and distance indicated by the given vector.
  • If copymode is True, the actual objects are not moved, but copies are created instead. Returns the object(s) (or their copies if copymode was True)
  • A list of the moved object (or the copies) is returned

Example:

 import FreeCAD,Draft
 Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))